Bug 1184080 - [abrt] insight: Tcl_NextHashEntry(): insight killed by SIGSEGV
Summary: [abrt] insight: Tcl_NextHashEntry(): insight killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: insight
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick Monnerat
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7e384ba46244a287c21ee5dcb08...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-20 14:46 UTC by Andre Vehreschild
Modified: 2015-02-03 12:06 UTC (History)
1 user (show)

Fixed In Version: insight-7.8.50-4.20140827git.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-03 12:06:37 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (64.11 KB, text/plain)
2015-01-20 14:46 UTC, Andre Vehreschild
no flags Details
File: cgroup (180 bytes, text/plain)
2015-01-20 14:46 UTC, Andre Vehreschild
no flags Details
File: core_backtrace (23.31 KB, text/plain)
2015-01-20 14:46 UTC, Andre Vehreschild
no flags Details
File: dso_list (3.43 KB, text/plain)
2015-01-20 14:47 UTC, Andre Vehreschild
no flags Details
File: environ (3.71 KB, text/plain)
2015-01-20 14:47 UTC, Andre Vehreschild
no flags Details
File: exploitable (100 bytes, text/plain)
2015-01-20 14:47 UTC, Andre Vehreschild
no flags Details
File: limits (1.29 KB, text/plain)
2015-01-20 14:47 UTC, Andre Vehreschild
no flags Details
File: maps (22.24 KB, text/plain)
2015-01-20 14:47 UTC, Andre Vehreschild
no flags Details
File: open_fds (415 bytes, text/plain)
2015-01-20 14:47 UTC, Andre Vehreschild
no flags Details
File: proc_pid_status (954 bytes, text/plain)
2015-01-20 14:47 UTC, Andre Vehreschild
no flags Details
File: var_log_messages (348 bytes, text/plain)
2015-01-20 14:47 UTC, Andre Vehreschild
no flags Details

Description Andre Vehreschild 2015-01-20 14:46:51 UTC
Description of problem:
Opening the register view while debugging a fortran program.

Version-Release number of selected component:
insight-7.4.50-11.20120403cvs.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        insight ./test_pr64674
crash_function: Tcl_NextHashEntry
executable:     /usr/bin/insight
kernel:         3.17.8-200.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 Tcl_NextHashEntry at /usr/src/debug/tcl8.5.14/generic/tclHash.c:614
 #1 Itcl_FindObjectsCmd at generic/itcl_cmds.c:837
 #2 HandleEnsemble at generic/itcl_ensemble.c:1535
 #3 TclEvalObjvInternal at /usr/src/debug/tcl8.5.14/generic/tclBasic.c:3693
 #4 TclExecuteByteCode at /usr/src/debug/tcl8.5.14/generic/tclExecute.c:2415
 #5 TclCompEvalObj at /usr/src/debug/tcl8.5.14/generic/tclExecute.c:1537
 #6 TclEvalObjEx at /usr/src/debug/tcl8.5.14/generic/tclBasic.c:5260
 #7 Itcl_EvalMemberCode at generic/itcl_methods.c:995
 #8 Itcl_ExecProc at generic/itcl_methods.c:1565
 #9 TclEvalObjvInternal at /usr/src/debug/tcl8.5.14/generic/tclBasic.c:3693

Comment 1 Andre Vehreschild 2015-01-20 14:46:55 UTC
Created attachment 981849 [details]
File: backtrace

Comment 2 Andre Vehreschild 2015-01-20 14:46:57 UTC
Created attachment 981850 [details]
File: cgroup

Comment 3 Andre Vehreschild 2015-01-20 14:46:59 UTC
Created attachment 981851 [details]
File: core_backtrace

Comment 4 Andre Vehreschild 2015-01-20 14:47:01 UTC
Created attachment 981852 [details]
File: dso_list

Comment 5 Andre Vehreschild 2015-01-20 14:47:02 UTC
Created attachment 981853 [details]
File: environ

Comment 6 Andre Vehreschild 2015-01-20 14:47:03 UTC
Created attachment 981854 [details]
File: exploitable

Comment 7 Andre Vehreschild 2015-01-20 14:47:05 UTC
Created attachment 981855 [details]
File: limits

Comment 8 Andre Vehreschild 2015-01-20 14:47:07 UTC
Created attachment 981856 [details]
File: maps

Comment 9 Andre Vehreschild 2015-01-20 14:47:08 UTC
Created attachment 981857 [details]
File: open_fds

Comment 10 Andre Vehreschild 2015-01-20 14:47:10 UTC
Created attachment 981858 [details]
File: proc_pid_status

Comment 11 Andre Vehreschild 2015-01-20 14:47:11 UTC
Created attachment 981859 [details]
File: var_log_messages

Comment 12 Patrick Monnerat 2015-01-23 11:01:45 UTC
Confirmed, thanks for reporting.
In addition, source code of newly compiled programs is not shown.
You'll soon find a newer release in the testing repo: please try it and leave karma.

Comment 13 Fedora Update System 2015-01-23 11:06:08 UTC
insight-7.8.50-4.20140827git.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/insight-7.8.50-4.20140827git.fc20

Comment 14 Fedora Update System 2015-01-26 02:31:55 UTC
Package insight-7.8.50-4.20140827git.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing insight-7.8.50-4.20140827git.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1093/insight-7.8.50-4.20140827git.fc20
then log in and leave karma (feedback).

Comment 15 Fedora Update System 2015-02-03 12:06:37 UTC
insight-7.8.50-4.20140827git.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.